import 'package:equatable/equatable.dart';
import 'package:flutter/cupertino.dart';

abstract class FeedState extends Equatable {
  const FeedState();
}

class FeedInitialState extends FeedState {
  @override
  List<Object> get props => [];
}

class FeedLoadingState extends FeedState {
  @override
  List<Object> get props => [];
}

class FeedReadyState extends FeedState {
  final String error;

  FeedReadyState({
    this.error,
  });

  @override
  List<Object> get props => [error];
}

class FeedErrorState extends FeedState {
  final String error;

  FeedErrorState({@required this.error});

  @override
  List<Object> get props => [error];
}
